#usage : Rscript --vanilla <thisscript.R> <algname> <numruns>
args <- commandArgs(TRUE)
print(args)
results <- args[1]
alg <- args[2]
runs <- args[3]

d <- read.table(paste(results, "/", alg, "/1/stdout.txt", sep=''), sep=",")

for (i in 2:runs) {
c <- read.table(paste(results,"/",alg,"/",i,"/stdout.txt", sep=''), sep=",")
d <- c + d
}

write.table(d, file=paste(results,"/",alg,"/data.txt", sep=''), quote=FALSE, sep=",", row.names=FALSE, col.names=FALSE)