/*
 * RandomSearchAlg.cpp
 *
 *  Created on: 2010.03.26.
 *      Author: jnschaeffer
 *
 * Copyright 2010 Worcester Polytechnic Institute
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "RandomSearchAlg.h"
#include <iostream>

RandomSearchAlg::RandomSearchAlg():rng() {
}

std::string RandomSearchAlg::toString() const {
	return std::string("random");
}

void RandomSearchAlg::iterate() {
}

action_t RandomSearchAlg::currentBestMove() {
	action_t best = rng.nextAction(mTree->getCurrent().countChildren());
	return best;
}

void RandomSearchAlg::reset() {
}
RandomSearchAlg::~RandomSearchAlg() {
}
