#!/bin/bash

CLUSTER_USER=gridml
CLUSTER_HOSTNAME=dell150.ilab.sztaki.hu
CLUSTER_TUNNEL_HOSTNAME=info.ilab.sztaki.hu



#Path to the working directory. Remote results and build will both be under this
CLUSTER_PATH=/mnt/store1/$CLUSTER_USER/gomba
#Path to the local directory under which the code project is stored
LOCAL_PATH=~/Workspaces/mqp
#The directory containing the gomba project code
GOMBA_DIR=gomba-mqp

#The directory name for results to be stored in (will be under this script's)
RESULTS_DIR=results

#The name of the gomba executable file
GOMBA_EXECUTABLE=gomba-mqp
#The build configuration folder to make and run from
BUILD_CONFIG=Release

#The name of the subm file to generate (will be placed inside the build folder)
SUBM_FILE=run.subm

#The poll time to use for the subsequent querygomba.sh call
POLL_WAIT_TIME=30

CLUSTER_FULLHOST=$CLUSTER_USER@$CLUSTER_TUNNEL_HOSTNAME
